=== debian/changelog ===
libproxy (0.4.15-13ubuntu1.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-26154.patch: fix buffer overflow when PAC
      is enabled in libproxy/url.cpp.
    - CVE-2020-26154

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 08 Dec 2020 16:18:20 -0300

libproxy (0.4.15-13ubuntu1) groovy; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25219.patch: rewrite url::recvline
      to be nonrecursive in libproxy/url.cpp.
    - CVE-2020-25219

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 15 Sep 2020 12:35:55 -0300

libproxy (0.4.15-13) unstable; urgency=medium

  * Team upload
  * libproxy1-plugin-gsettings: Depend on gsettings-desktop-schemas.
    gsettings-desktop-schemas defines the schema for GNOME 3 proxy settings,
    and looking up keys with no schema is an error.
    Detected by the autopkgtest coverage.
  * d/tests: Separate out test for gsettings backend.
    This has dependencies beyond those of libproxy.
  * d/tests: Add smoke-tests for the mozjs and webkit PAC interpreters
  * d/tests: Ask for additional debug logging
  * d/tests: Mark gsettings tests as flaky until upstream bug 116 is fixed.
    There seems to be a race condition in the gnome3 (gsettings) backend,
    to which proxy(1) is particularly susceptible.
  * d/tests: Add copyright/license information.
    These might be general enough to be useful to the upstream developer.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 18:03:06 +0100

libproxy (0.4.15-12) unstable; urgency=medium

  [ Simon McVittie ]
  * Add undocumented changes to previous changelog entry
  * d/rules: Install Perl binding to the vendor path
  * d/rules: Don't build the Perl binding until we have a package for it
  * Install Findlibproxy.cmake in -dev package
  * d/rules: Remove leftover argument passed to dh_makeshlibs
  * d/not-installed: Skip usr/lib/mono/libproxy-sharp/libproxy-sharp.dll
  * d/tests: Add a smoke-test using libproxy-tools
  * d/tests: Add a failing test for the Python 3 binding
  * Backport a commit from upstream to fix warnings in GNOME environments

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Apr 2020 17:30:57 -0400

libproxy (0.4.15-11) unstable; urgency=medium

  * Bump debhelper-compat to 13
    - Stop passing -V to dh_makeshlibs, it is the default now
  * Bump Standards-Version to 4.5.0
  * d/rules: Remove redundant -Wl,--as-needed.
    bullseye toolchains already default to this.
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Apr 2020 21:25:44 -0400

libproxy (0.4.15-10) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * d/tests/build: Mark as superficial
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Exercise linking with pkg-config

  [ Iain Lane ]
  * Revert "rules: Don't run the cli sequence in the clean target". The
    associated debhelper bug (#944225) is fixed.  This reverts commit
    7251356feb950abaa137ac5a4d5ead7f954d388e.
  * python-support-Python-3.9.patch: Cherry-pick patch to support newer
    python3
  * control, mozjs-Port-to-mozjs-68.patch: Move to mozjs68

 -- Iain Lane <laney@debian.org>  Wed, 11 Mar 2020 13:16:18 +0000

libproxy (0.4.15-9) unstable; urgency=medium

  * control, rules: Add dh-sequence-cli to BDI. Since 12.5, debhelper is
    supposed to support this properly (but see the next changelog entry).
  * rules: Don't run the cli sequence in the clean target.  We have this in
    Build-Depends-Indep. debhelper is supposed to do this for us, but due to
    bug #944225 it doesn't.

 -- Iain Lane <laney@debian.org>  Wed, 06 Nov 2019 11:07:02 +0000

libproxy (0.4.15-8) unstable; urgency=medium

  * Drop Build-Depends on dh-sequence-cli.
    Thanks to Simon McVittie (Closes: #942119)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 19:37:24 -0400

libproxy (0.4.15-7) unstable; urgency=medium

  * Move dh-sequence-cli & dh-sequence-python3 from Build-Depends-Indep
    to Build-Depends

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 09:22:09 -0400

libproxy (0.4.15-6) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop python-libproxy for python2 removal (Closes: #936906)
  * Add patch to have cmake find python 3.7

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-cli, dh-sequence-gnome & dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 08:22:59 -0400

libproxy (0.4.15-5) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 20:21:13 -0500

libproxy (0.4.15-4) unstable; urgency=medium

  * Build the mozjs plugin against mozjs 60 and limit the architectures where
    the package is built as mozjs 60 FTBFS on several architectures (Closes:
    #912940)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Dec 2018 15:33:14 +0100

libproxy (0.4.15-3) unstable; urgency=medium

  * Reintroduce libproxy1-plugin-mozjs, the module now builds with mozjs 52
  * debian/control.in: Drop X-Python(3)-Version to please lintian
  * debian/control.in: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/rules: Use DEB_VERSION_UPSTREAM instead of SHLIBVER for the helpers

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Oct 2018 07:40:35 +0200

libproxy (0.4.15-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote python Build-Depends to Build-Depends-Indep (Closes: #909211)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 19 Sep 2018 19:04:50 -0400

libproxy (0.4.15-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop libproxy1-plugin-mozjs since it depends on an outdated version

