=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libproxy
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends-Indep: dh-sequence-cli <!stage1>, mono-devel (>= 2.4.3) <!stage1>, python3-all
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.5),
               dh-sequence-gnome,
               dh-sequence-python3,
               netbase,
               cmake,
               zlib1g-dev,
               libnm-dev [linux-any],
               libdbus-1-dev,
               libkf5config-bin <!stage1>,
               libmozjs-68-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
               libwebkit2gtk-4.0-dev <!stage1>,
               libjavascriptcoregtk-4.0-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!stage1>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

Package: libproxy1-plugin-mozjs
Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (mozjs plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using mozjs

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.

Package: python3-libproxy
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         ${libproxy} (>= ${source:Version})
Description: automatic proxy configuration management library (Python 3)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the Python 3 bindings.

Package: libproxy0.4-cil
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (CLI)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the CLI bindings.

Package: libproxy-cil-dev
Architecture: all
Section: cli-mono
Build-Profiles: <!stage1>
Depends: ${cli:Depends},
         ${misc:Depends},
         libproxy0.4-cil (= ${binary:Version})
Description: automatic proxy configuration management library (CLI devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains development files for the CLI bindings, and should be
 used for compilation.
