=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SHLIBVER := 0.4.14
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control.in)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

DO_PACKAGES = $(shell dh_listpackages)

ifneq ($(filter libproxy0.4-cil,$(DO_PACKAGES)),)
WITH_DOTNET = -DWITH_DOTNET=ON
else
WITH_DOTNET = -DWITH_DOTNET=OFF
endif

ifneq ($(filter amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4, $(DEB_HOST_ARCH)),)
WITH_MOZJS = -DWITH_MOZJS=ON
else
WITH_MOZJS = -DWITH_MOZJS=OFF
endif

CONFIGURE_FLAGS = $(WITH_DOTNET) \
		-DWITH_PYTHON2=OFF \
		-DWITH_VALA=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DBIPR=0 \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DPERL_VENDORINSTALL=ON \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(DEB_VERSION_UPSTREAM)

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=ON \
		$(WITH_MOZJS) \
		-DWITH_WEBKIT3=ON
else
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=OFF \
		-DWITH_MOZJS=OFF \
		-DWITH_WEBKIT3=OFF
endif

ifeq (,$(filter libnet-libproxy-perl,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PERL=OFF
endif

ifeq (,$(filter python3-libproxy,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PYTHON3=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_install-arch:
	dh_install
	rm -f \
	  debian/libproxy-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libproxy-sharp-*.pc

override_dh_install-indep:
	dh_install
ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
	sed -i 's!/usr/lib/mono/libproxy-sharp!/usr/lib/cli/libproxy-sharp-0.4!' \
		debian/libproxy-cil-dev/usr/lib/pkgconfig/libproxy-sharp-1.0.pc
endif

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

%:
	dh $@
