=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libproxy-dev, pkg-config

Tests: libproxy-tools
Restrictions: allow-stderr superficial
Depends: libproxy-tools

Tests: gsettings
Restrictions: allow-stderr flaky superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings

Tests: mozjs
Restrictions: allow-stderr flaky skip-not-installable superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings, libproxy1-plugin-mozjs

Tests: webkit
Restrictions: allow-stderr flaky superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings, libproxy1-plugin-webkit

Tests: python3
Restrictions: allow-stderr flaky superficial
Depends: python3-libproxy
