## libproxy 0.4.15.2

=== debian/changelog ===
libproxy (0.4.15.2-1+eagle) unstable; urgency=medium

  * update

 -- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>  Fri, 18 Dec 2020 13:40:35 +0800

libproxy (0.4.15.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-25219 CVE-2020-26154

 -- zhouzilong <zhouzilong@uniontech.com>  Sat, 10 Oct 2020 19:27:49 +0800
