=== debian/control ===
--- 
+++ 
@@ -5,26 +5,23 @@
 Source: libproxy
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends-Indep: dh-sequence-cli <!stage1>, mono-devel (>= 2.4.3) <!stage1>, python3-all
-Build-Depends: debhelper-compat (= 13),
-               debhelper (>= 12.5),
-               dh-sequence-gnome,
-               dh-sequence-python3,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends-Indep: cli-common-dev (>= 0.5.7~) <!stage1>, mono-devel (>= 2.4.3) <!stage1>, dh-python, python-all-dev (>= 2.6.6-3~), python3-all
+Build-Depends: debhelper (>= 11),
+               gnome-pkg-tools,
                netbase,
                cmake,
                zlib1g-dev,
                libnm-dev [linux-any],
                libdbus-1-dev,
                libkf5config-bin <!stage1>,
-               libmozjs-68-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
+               libmozjs-60-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el alpha hppa m68k powerpc powerpcspe sh4] <!stage1>,
                libwebkit2gtk-4.0-dev <!stage1>,
                libjavascriptcoregtk-4.0-dev <!stage1>,
                libglib2.0-dev (>= 2.26) <!stage1>,
                libxmu-dev <!stage1>
-Standards-Version: 4.5.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
 Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
 Homepage: https://libproxy.github.io/libproxy/
@@ -48,7 +45,6 @@
 Build-Profiles: <!stage1>
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gsettings-desktop-schemas,
          ${libproxy} (= ${binary:Version})
 Enhances: ${libproxy}
 Description: automatic proxy configuration management library (GSettings plugin)
@@ -142,6 +138,18 @@
  This package contains a program to interact with libproxy from the
  command line.
 
+Package: python-libproxy
+Architecture: all
+Section: python
+Depends: ${python:Depends},
+         ${misc:Depends},
+         ${libproxy} (>= ${source:Version})
+Description: automatic proxy configuration management library (Python 2)
+ libproxy is a lightweight library which makes it easy to develop
+ applications proxy-aware with a simple and stable API.
+ .
+ This package contains the Python 2 bindings.
+
 Package: python3-libproxy
 Architecture: all
 Section: python
