=== samples/vala/Makefile ===
all: sample

sample: sample.vala
	valac --pkg libproxy-1.0 sample.vala

clean:
	rm sample
