=== debian/changelog ===
libproxy (0.4.17-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Cherrypick upstream patch to fix the build with python 3.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:17:07 -0400

libproxy (0.4.17-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Drop patch from 0.4.16-2, included in this release
  * Standards-Version: 4.5.1 (no changes required)

  [ Helmut Grohne ]
  * Tag test dependencies with <!nocheck> (Closes: #979081)

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Jan 2021 11:38:24 +0000

libproxy (0.4.16-2) unstable; urgency=medium

  * Fix the loading of the python module, patch from upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 14 Dec 2020 18:39:25 +0100

libproxy (0.4.16-1) unstable; urgency=medium

  * New upstream release
    - Drop all the patches, they are included in this release
  * debian/not-installed: Do not package pacrunner module for now, pacrunner
    is not in debian yet, see: #977216

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Dec 2020 19:47:25 +0100

libproxy (0.4.15-15) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Add patch from upstream to fix buffer overflow when PAC is enabled
    (CVE-2020-26154) (Closes: #968366)
  * Add patch from upstream rewriting url::recvline to be nonrecursive
    (CVE-2020-25219) (Closes: #971394)

  [ Simon McVittie ]
  * Add additional bug-fix patches from upstream git
    - Fix memory leaks in the WebKit backend
    - Make sure mtime is initialized in the KDE backend
    - Correctly encode/decode Python Unicode strings (Closes: #959030)
    - Cope with settings larger than will fit in a single read() in the
      GSettings (GNOME 3) backend
    - Remove crash-prone proxy factory caching (Closes: #968363)
    - Make sure new/delete and new[]/delete[] are correctly paired
    - Disable mozjs backend by default
    - Never use a system copy of libmodman, even if one exists
    - Small performance optimizations (without which later patches
      won't apply)
    - Avoid deprecated C++ dynamic exception specifications
  * d/tests/mozjs: Remove obsolete test.
    We no longer compile the backend that this is responsible for testing.
  * d/tests: Remove flaky annotations.
    With the fixes I've imported from upstream git, these should hopefully
    all be reliable.
  * d/tests: Test default python3 version and all python3 versions
    separately.
    Add a missing dependency on python3-all for the python3-all test:
    during a transition between supported Python versions, we need both
    the old and the new version installed.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Nov 2020 16:37:55 +0000

libproxy (0.4.15-14) unstable; urgency=medium

  * Drop libproxy1-plugin-mozjs; use libproxy1-plugin-webkit instead
    - See https://github.com/libproxy/libproxy/pull/139 (Closes: #959805)
  * Drop unused CLI binding (Closes: #959031)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Sep 2020 19:22:53 -0400
