=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

SHLIBVER := 0.4.14
libproxy := $(shell sed -nr 's/^Package:[[:space:]]*(libproxy[0-9]+(v5)?)[[:space:]]*$$/\1/p' debian/control.in)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

DO_PACKAGES = $(shell dh_listpackages)

CONFIGURE_FLAGS = -DWITH_DOTNET=OFF \
		-DWITH_MOZJS=OFF \
		-DWITH_PYTHON2=OFF \
		-DWITH_VALA=ON \
		-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
		-DCMAKE_SKIP_RPATH=ON \
		-DBIPR=0 \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DPERL_VENDORINSTALL=ON \
		-DLIBEXEC_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/libproxy/$(DEB_VERSION_UPSTREAM)

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=ON \
		-DWITH_WEBKIT3=ON
else
CONFIGURE_FLAGS += \
		-DWITH_GNOME3=OFF \
		-DWITH_WEBKIT3=OFF
endif

ifeq (,$(filter libnet-libproxy-perl,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PERL=OFF
endif

ifeq (,$(filter python3-libproxy,$(DO_PACKAGES)))
CONFIGURE_FLAGS += -DWITH_PYTHON3=OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_gencontrol:
	dh_gencontrol -- -Vlibproxy=${libproxy}

%:
	dh $@
