=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libproxy-dev, pkg-config

Tests: libproxy-tools
Restrictions: allow-stderr superficial
Depends: libproxy-tools

Tests: gsettings
Restrictions: allow-stderr superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings

Tests: webkit
Restrictions: allow-stderr superficial
Depends: libproxy-tools, libproxy1-plugin-gsettings, libproxy1-plugin-webkit

Tests: python3
Restrictions: allow-stderr superficial
Depends: python3-libproxy

Tests: python3-all
Restrictions: allow-stderr superficial
Depends: python3-all, python3-libproxy
