=== debian/changelog ===
libproxy (0.4.18-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add debian/upstream/metadata
  * debian/rules: Explicitly disable duktape PAC runner for now
  * d/p/Fix-building-without-duktape.patch:
    Add patch to fix a build failure when duktape is disabled
  * Add patch from Fedora to switch from webkit2gtk 4.0 to 4.1
  * Update Build-Depends
  * Stop using debian/control.in and dh_gnome_clean
  * Stop building python3-libproxy since it is unused in Debian Testing
    and is no longer provided by libproxy 0.5
  * Update standards version to 4.6.2, no changes needed

  [ Simon McVittie ]
  * Acknowledge NMU (Closes: #1028638)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 10:55:12 -0500

libproxy (0.4.18-1.2) unstable; urgency=medium

  * NMU
  * Add patch by sre@debian.org to fix crash with glibproxyresolver
    (Closes: #1028638)

 -- Martin <debacle@debian.org>  Tue, 31 Jan 2023 18:39:31 +0000

libproxy (0.4.18-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 15:43:18 +0200
