=== debian/control ===
Source: libproxy
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               netbase <!nocheck>,
               cmake,
               zlib1g-dev,
               libnm-dev [linux-any],
               libdbus-1-dev,
               libkf5config-bin <!nocheck !stage1>,
               libwebkit2gtk-4.1-dev <!nocheck !stage1>,
               libjavascriptcoregtk-4.1-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!nocheck !stage1>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (GSettings plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 GSettings (GNOME 3)

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (KConfig plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read proxy settings from
 KConfig (KDE 4)

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Network Manager plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to read information from
 Network Manager.

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Enhances: ${libproxy}
Description: automatic proxy configuration management library (Webkit plugin)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the plugin to allow libproxy to interpret PAC files
 using Webkit

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version})
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.
