=== debian/control ===
Source: libproxy
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               duktape-dev,
               gsettings-desktop-schemas-dev,
               meson,
               netbase <!nocheck>,
               valac,
               zlib1g-dev,
               libnm-dev [linux-any],
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libkf5config-bin <!nocheck !stage1>,
               libwebkit2gtk-4.1-dev <!nocheck !stage1>,
               libjavascriptcoregtk-4.1-dev <!stage1>,
               libglib2.0-dev (>= 2.26) <!stage1>,
               libxmu-dev <!nocheck !stage1>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/libproxy
Vcs-Git: https://salsa.debian.org/gnome-team/libproxy.git
Homepage: https://libproxy.github.io/libproxy/

Package: libproxy1v5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libproxy1
Replaces: libproxy1
Description: automatic proxy configuration management library (shared)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the shared library.

Package: libproxy1-plugin-gsettings
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy GSettings plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided the GSettings plugin, used in GNOME.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy1-plugin-kconfig
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy KConfig plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided the KConfig plugin, used in KDE Plasma.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy1-plugin-networkmanager
Architecture: linux-any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy NetworkManager plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided the NetworkManager plugin.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy1-plugin-webkit
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (>= 0.5.3)
Description: transitional package for libproxy Webkit plugin
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package previously provided PAC support via WebKit's JavaScript engine.
 Equivalent functionality is now included in the libproxy1v5 package.
 This package can be removed when no other installed packages depend on it.

Package: libproxy-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${libproxy} (= ${binary:Version}),
         libglib2.0-dev
Description: automatic proxy configuration management library (devel)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains the development files including vala bindings.

Package: libproxy-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: automatic proxy configuration management library (tools)
 libproxy is a lightweight library which makes it easy to develop
 applications proxy-aware with a simple and stable API.
 .
 This package contains a program to interact with libproxy from the
 command line.
