## libproxy 0.5.6

=== debian/changelog ===
libproxy (0.5.6-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update debian/libproxy1v5.symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:56:30 -0400
