## libproxy 0.5.7

=== debian/changelog ===
libproxy (0.5.7-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/docs since CHANGELOG.md is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jul 2024 07:01:37 -0400
