## libproxy 0.5.8

=== debian/changelog ===
libproxy (0.5.8-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Update pac test for changed behavior in new release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 15:32:00 -0400
